# $Revision: 1.8 $, $Date: 2008/11/16 10:01:28 $
%define		vendor_name kglwatersaver
Summary:	KGLWaterSaver - OpenGL screensaver for KDE
Summary(pl.UTF-8):	KGLWaterSaver - oparty na OpenGL wygaszacz ekranu dla KDE
Name:		kde-screensaver-%{vendor_name}
Version:	0.6
Release:	4
License:	GPL
Group:		X11/Amusements
Source0:	http://kwatersaver.c0n.de/downloads/%{vendor_name}-%{version}.tar.bz2
# Source0-md5:	b7a9bc4cba43cef57a0459f186fb3980
URL:		http://kwatersaver.c0n.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	kdebase-screensavers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Screensaver for KDE using OpenGL for visual effects.
Features:
- Choose between Images or the current Desktop to "sink under water"
- Various effects: Whirl, Bubble, Rain

%description -l pl.UTF-8
Wygaszacz ekranu dla KDE wykorzystujący OpenGL do efektów wizualnych.
Możliwości:
- wybór między obrazkami lub aktualnym pulpitem do zatapiania pod wodą
- różne efekty: wir, bąbelki, deszcz

%prep
%setup -q -n %{vendor_name}-%{version}

%build
cp -f /usr/share/automake/config.sub admin
# autokaka generation fails (too old admin/ dir?), but luckily we don't need it now
#%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/apps/kscreensaver

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	desktopdir=%{_datadir}/apps/kscreensaver

%find_lang %{vendor_name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{vendor_name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kglwatersaver.kss
%{_datadir}/apps/kscreensaver/kglwatersaver.desktop

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-screensaver-kglwatersaver.spec,v $
Revision 1.8  2008/11/16 10:01:28  arekm
- release 4

Revision 1.7  2008/11/06 17:02:01  arekm
- release 3

Revision 1.6  2007-12-25 18:28:28  glen
- rel 2

Revision 1.5  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.3  2006/08/31 23:03:22  glen
- rel 1

Revision 1.2  2006/04/19 19:06:48  qboosh
- pl

Revision 1.1  2006/04/16 15:57:30  glen
- new screensaver. done on request
